
/**
 * Tests the three different kinds of accounts.
 * 
 * @author JP Vergara
 * @version 1.0
 */
public class BetterAccountsTester
{
   public static void main( String args[] )
   {
       BankAccount a1 = new BankAccount();
       BankAccount a2 = new BankAccount( 100.00 );
       SavingsAccount a3 = new SavingsAccount();
       SavingsAccount a4 = new SavingsAccount( 10 ); // 10% interest rate
       CheckingAccount a5 = new CheckingAccount();
       CheckingAccount a6 = new CheckingAccount( 200 );
       
       BankAccount[] accts = new BankAccount[6];
       accts[0] = a1;
       accts[1] = a2;
       accts[2] = a3;
       accts[3] = a4;
       accts[4] = a5;
       accts[5] = a6;
       
       for( BankAccount b: accts )
       {
          b.deposit( 300 );
       }
       
       a3.addInterest();
       a4.addInterest();
       
       a5.withdraw( 10 );
       a5.withdraw( 10 );
       a5.withdraw( 10 );
       a6.withdraw( 15 );
       a6.withdraw( 15 );
       a5.deductFees();
       a6.deductFees();

       for( int i = 0; i < 6; i++ )
       {
          System.out.printf( "a%d balance: %7.2f\n",
                                i+1, accts[i].getBalance() );
       }
   }
}
